Package org.springframework.scripting

# Class ScriptCompilationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.scripting.ScriptCompilationException

All Implemented Interfaces:
  `Serializable`

public class ScriptCompilationException extends org.springframework.core.NestedRuntimeException
Exception to be thrown on script compilation failure.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScriptCompilationException(String msg)`
Constructor for ScriptCompilationException.
`ScriptCompilationException(String msg, Throwable cause)`
Constructor for ScriptCompilationException.
`ScriptCompilationException(ScriptSource scriptSource, String msg)`
Constructor for ScriptCompilationException.
`ScriptCompilationException(ScriptSource scriptSource, String msg, Throwable cause)`
Constructor for ScriptCompilationException.
`ScriptCompilationException(ScriptSource scriptSource, Throwable cause)`
Constructor for ScriptCompilationException.

## Method Summary

Modifier and Type
Method
Description
`ScriptSource`
`getScriptSource()`
Return the source for the offending script.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptCompilationException

public ScriptCompilationException(String msg)
Constructor for ScriptCompilationException.

Parameters:
  `msg` - the detail message

### ScriptCompilationException

public ScriptCompilationException(String msg, Throwable cause)
Constructor for ScriptCompilationException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (usually from using an underlying script compiler API)

### ScriptCompilationException

public ScriptCompilationException(ScriptSource scriptSource, String msg)
Constructor for ScriptCompilationException.

Parameters:
  `scriptSource` - the source for the offending script
  `msg` - the detail message
Since:
  4.2

### ScriptCompilationException

public ScriptCompilationException(ScriptSource scriptSource, Throwable cause)
Constructor for ScriptCompilationException.

Parameters:
  `scriptSource` - the source for the offending script
  `cause` - the root cause (usually from using an underlying script compiler API)

### ScriptCompilationException

public ScriptCompilationException(ScriptSource scriptSource, String msg, Throwable cause)
Constructor for ScriptCompilationException.

Parameters:
  `scriptSource` - the source for the offending script
  `msg` - the detail message
  `cause` - the root cause (usually from using an underlying script compiler API)

## Method Details

### getScriptSource

@Nullable public ScriptSource getScriptSource()
Return the source for the offending script.

Returns:
  the source, or `null` if not available